
------------------------------------------------------------------------------------
-- Name : nUI_Plugin_TitanPanel                                          
-- Copyright : Tina Kirby AKA Xrystal (C) 2009/2010 All Rights Reserved      
-- Contact : xrystal@swangen.co.uk                                           
-- Download Sites :                                                          
-- Version : 1.01.00 - New
------------------------------------------------------------------------------------

--[[ Use Addon Wide Data Table ]]--
local addonName,addonData = ...

addonData["Events"] = CreateFrame("Frame","PTP_Frame",UIParent);

local function PTP_DetectTitanBars()
	local TopBar1ID = Titan_Bar__Display_Bar
	local TopBar1HideID = Titan_Bar__Hider_Bar
	local TopBar2ID = Titan_Bar__Display_Bar2
	local TopBar2HideID = Titan_Bar__Hider_Bar2
	local TopBar1Show = TitanPanelGetVar("Bar_Show")
	local TopBar1Hide = TitanPanelGetVar("Bar_Hide")
	local TopBar2Show = TitanPanelGetVar("Bar2_Show")
	local TopBar2Hide = TitanPanelGetVar("Bar2_Hide")

	local BottomBar1ID = Titan_Bar__Display_AuxBar
	local BottomBar1HideID = Titan_Bar__Hider_AuxBar
	local BottomBar2ID = Titan_Bar__Display_AuxBar2
	local BottomBar2HideID = Titan_Bar__Hider_AuxBar2
	local BottomBar1Show = TitanPanelGetVar("AuxBar_Show")
	local BottomBar1Hide = TitanPanelGetVar("AuxBar_Hide")
	local BottomBar2Show = TitanPanelGetVar("AuxBar2_Show")
	local BottomBar2Hide = TitanPanelGetVar("AuxBar2_Hide")
	
	local BothTopBars = TopBar1Show and TopBar2Show
	local BothTopBarsHidden = TopBar1Hide and TopBar2Hide
	local BothBottomBars  = BottomBar1Show and BottomBar2Show
	local BothBottomBarsHidden = BottomBar1Hide and BottomBar2Hide
	
	nUI_TopBarsLocator:ClearAllPoints();
	nUI_BottomBarsLocator:ClearAllPoints();
	
	if BothTopBars then
		if not TopBar2Hide then
			nUI_TopBarsLocator:SetPoint( "BOTTOMLEFT", TopBar2ID, "BOTTOMLEFT", 0, 0 );	
		else
			nUI_TopBarsLocator:SetPoint( "BOTTOMLEFT", TopBar2HideID, "BOTTOMLEFT", 0, 0 );	
		end
	elseif TopBar1Show then
		if not TopBar1Hide then
			nUI_TopBarsLocator:SetPoint( "BOTTOMLEFT", TopBar1ID, "BOTTOMLEFT", 0, 0 );
		else
			nUI_TopBarsLocator:SetPoint( "BOTTOMLEFT", TopBar1HideID, "BOTTOMLEFT", 0, 0 );
		end
	else
		nUI_TopBarsLocator:SetPoint( "BOTTOM", UIParent, "TOP", 0, 0 );
	end
	
	if BothBottomBars then
		if not BottomBar2Hide then
			nUI_BottomBarsLocator:SetPoint( "TOPLEFT", BottomBar2ID, "TOPLEFT", 0, 0 );
		else
			nUI_BottomBarsLocator:SetPoint( "TOPLEFT", BottomBar2HideID, "TOPLEFT", 0, 0 );
		end
	elseif BottomBar1Show then
		if not BottomBar1Hide then
			nUI_BottomBarsLocator:SetPoint( "TOPLEFT", BottomBar1ID, "TOPLEFT", 0, 0 );
		else
			nUI_BottomBarsLocator:SetPoint( "TOPLEFT", BottomBar1HideID, "TOPLEFT", 0, 0 );
		end
	else
		nUI_BottomBarsLocator:SetPoint( "TOP", UIParent, "BOTTOM", 0, 0 );
	end
	
end

local function PTP_OnTitanPanelEvent(self)
	if IsAddOnLoaded( "Titan" ) then
	
		hooksecurefunc( "Titan_AutoHide_ToggleAutoHide", PTP_DetectTitanBars );
		hooksecurefunc( "Titan_AutoHide_ShowHide", PTP_DetectTitanBars );
		hooksecurefunc( "TitanPanelBarButton_DisplayBarsWanted",PTP_DetectTitanBars );
		
		LibStub("AceAddon-3.0"):GetAddon("TitanMovable"):Unhook("updateContainerFrameAnchors", Titan_ContainerFrames_Relocate );
		Titan_ContainerFrames_Relocate = function() end;
   
		PTP_DetectTitanBars();
		
		self:UnregisterEvent( "PLAYER_ENTERING_WORLD" );

	end
end


local function PTP_Events(self,event,...)
	local arg1,arg2,arg3,arg4,arg5,arg6 = ...;
	if ( event == "ADDON_LOADED" and arg1 == addonName ) then
		if nUI_TitanPanelEvents then 
			nUI_TitanPanelEvents:SetScript("OnEvent",PTP_OnTitanPanelEvent)
		end
	elseif ( event == "PLAYER_ENTERING_WORLD" ) then		
		self:UnregisterEvent(event);
	end
end

--[[ Register the events we want to watch ]]--
addonData["Events"]:SetScript( "OnEvent", PTP_Events );
addonData["Events"]:RegisterEvent( "ADDON_LOADED" );
addonData["Events"]:RegisterEvent( "PLAYER_ENTERING_WORLD" );
